Your submission was sent successfully! Close

CVE-2021-31872

Published: 30 April 2021

An issue was discovered in klibc before 2.0.9. Multiple possible integer overflows in the cpio command on 32-bit systems may result in a buffer overflow or other security impact.

Priority

Low

CVSS 3 base score: 9.8

Status

Package Release Status
klibc
Launchpad, Ubuntu, Debian
bionic
Released (2.0.4-9ubuntu2.1)
focal
Released (2.0.7-1ubuntu5.1)
groovy Ignored
(reached end-of-life)
hirsute Ignored
(reached end-of-life)
impish Not vulnerable
(2.0.8-6.1ubuntu2)
jammy Not vulnerable
(2.0.8-6.1ubuntu2)
precise Ignored
(end of ESM support, was needed)
trusty
Released (2.0.3-0ubuntu1.14.04.3+esm2)
upstream
Released (2.0.8-6)
xenial
Released (2.0.4-8ubuntu1.16.04.4+esm1)

Notes

AuthorNote
mdeslaur
only used in initramfs, doesn't parse untrusted data
sbeattie
also, the integer overflow is only on 32bit systems, 64bit
platforms should not be affected.

References

Bugs